Skip to main content
GET
Get booking details by cart

Authorizations

Authorization
string
header
required

Your brand's secret API key, e.g. Bearer way_sk_live_bhEqcn0i1fRoUEHBPjJkQA. Older Way-Brand-Id + Way-Secret-Key credentials still work: see Legacy authentication.

Path Parameters

cartId
string
required

Only bookings created from this cart.

Response

200 - application/json

Booking details.

cartId
string
required

The unique identifier of the cart.

Example:

"cart-123"

purchaser
object
required

Purchaser details.

paymentProvider
enum<string>
required

Payment provider used for the transaction.

Available options:
kicc,
stripe_destination_charge,
stripe_separate_charge_transfer,
self
Example:

"stripe_destination_charge"

paymentMethod
enum<string>
required

Payment method used.

Available options:
credit-card,
room-charge,
member-number,
loyalty,
kicc,
cash,
pay-later,
pay-upon-arrival
Example:

"credit-card"

cartItems
object[]
required

Cart items included in the booking.

cartStatus
enum<string>
required

Current status of the booking.

Available options:
confirmed,
refunded,
processing,
failed,
cancelled
Example:

"confirmed"

paymentReferenceCode
object | null

Payment reference code.

Example:

"PAY-789"

meta
object | null

Additional metadata about the payment.

couponCode
string | null

Applied coupon code.

Example:

"DISCOUNT10"